#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x5da2c20a, "pci_unregister_driver" },
	{ 0xd3422409, "__pci_register_driver" },
	{ 0x6ddb258c, "__netdev_watchdog_up" },
	{ 0xd8c152cd, "raise_softirq_irqoff" },
	{ 0xf1eb916e, "per_cpu__softnet_data" },
	{ 0x8143aaf8, "pci_restore_state" },
	{ 0x462e7879, "pci_set_power_state" },
	{ 0xde31fcf6, "pci_choose_state" },
	{ 0x68ac5c39, "pci_save_state" },
	{ 0xc736c2db, "pci_disable_device" },
	{ 0x2e4cc746, "unregister_netdev" },
	{ 0x957ad06e, "ethtool_op_get_perm_addr" },
	{ 0x1f04a800, "ethtool_op_get_sg" },
	{ 0x2e0893f3, "ethtool_op_get_tx_csum" },
	{ 0xf20dabd8, "free_irq" },
	{ 0x10e56e3c, "ei_close" },
	{ 0xb7ccb19b, "ei_open" },
	{ 0x26e96637, "request_irq" },
	{ 0x7862f4df, "ei_interrupt" },
	{ 0xd49501d4, "__release_region" },
	{ 0x5e42e61, "free_netdev" },
	{ 0x40b40e91, "register_netdev" },
	{ 0x754cbb66, "NS8390_init" },
	{ 0x7d11c268, "jiffies" },
	{ 0x3cca5dda, "__alloc_ei_netdev" },
	{ 0x1a1a4f09, "__request_region" },
	{ 0x865ebccd, "ioport_resource" },
	{ 0x1b7d4074, "printk" },
	{ 0x575ee674, "pci_enable_device" },
	{ 0x806d5133, "param_array_get" },
	{ 0x89cef6fb, "param_array_set" },
	{ 0x89b301d4, "param_get_int" },
	{ 0x98bd6f46, "param_set_int" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=8390";

MODULE_ALIAS("pci:v000010ECd00008029sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001050d00000940sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011F6d00001401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008E2Ed00003000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004A14d00005000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00000926sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010BDd00000E34sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001050d00005A5Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000012C3d00000058sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000012C3d00005598sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008C4Ad00001980sv*sd*bc*sc*i*");
